Bug 219152 - [RHEL4 U5] e1000 fix WOL (restore reboot notifier code)
[RHEL4 U5] e1000 fix WOL (restore reboot notifier code)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 10:43 EST by Linda Wang
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Linda Wang 2006-12-11 10:43:40 EST
Description of problem:
A previous e1000 update removed its reboot notifier.  This change was
made to the upstream driver in response to another upstream change
which made it unnecessary.  Unfortunately, it was/is still necessary
in the 2.6.9 kernel where RHEL4 is based.

Version-Release number of selected component (if applicable):
2.6.9.42.28

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

BZ203685 (bug activity here, but might should have its own bug?)

This patch comes from Thomas Chenault at Dell, and was verified to
work by him.
Comment 1 RHEL Product and Program Management 2006-12-11 11:09:16 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jason Baron 2006-12-13 14:32:28 EST
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 3 Jay Turner 2006-12-18 10:04:01 EST
QE ack for RHEL4.5.
Comment 6 Red Hat Bugzilla 2007-05-08 00:27:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.